Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions
proofs::SecureRandomEngine Class Reference
Inheritance diagram for proofs::SecureRandomEngine:
[legend]
Collaboration diagram for proofs::SecureRandomEngine:
[legend]

## Public Member Functions
void | bytes (uint8_t *buf, size_t n) override
Public Member Functions inherited from proofs::RandomEngine
template<class Field>
Field::Elt | elt (const Field &F)
template<class Field>
Field::Elt | subfield_elt (const Field &F)
template<class Field>
void | elt (typename Field::Elt e[], size_t n, const Field &F)
size_t | mask (size_t n)
size_t | nat (size_t n)
void | choose (size_t res[], size_t n, size_t k)

## Member Function Documentation

## ◆ bytes()

void proofs::SecureRandomEngine::bytes | ( | uint8_t * | buf,
|  | size_t | n )
| inline override virtual

Implements proofs::RandomEngine.

The documentation for this class was generated from the following file:

- lib/random/secure_random_engine.h